Starmade | In game can't show full-width characters (Chinese, Japanese, Korean) But it works in setup window
Resolved, needs quality check / confirm fix, NormalPublic

Description

ok, now the language pack is working with the new dev build,
but chinese or japanese these full-width words can only show in launcher, in game will just be blank.
I think maybe it is not full-width words issue, but just lack of Font

Details

Commits
Restricted Diffusion Commit
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19488
Issue Type
Bug
Category
Translations (General)
First occurrence (version)
0.19488
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Tester information (Internal use only)

Supposedly you can't type chinese/japanese in the chat box (no idea about other input fields)

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Gamel created this task.Nov 10 2015, 2:43 PM
Gamel changed Category from none/unspecified to Translations (General).
Gamel set First occurrence (version) to 0.19488.
Gamel changed Reproducible from uncertain to Yes.
Gamel set Last tested (version) to 0.19488ok, now the language pack is working with the new dev build, but chinese or japanese these full-width words can only show in launcher, in game will just be blank..
Gamel edited Serverconfig (server.cfg). (Show Details)
Gamel edited Clientconfig (settings.cfg). (Show Details)
Gamel added a subscriber: Gamel.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptNov 10 2015, 2:43 PM
Gamel set Issue Type to Bug.Nov 10 2015, 2:43 PM
Gamel set Affected Gamemode(s) to none/unspecified.
Gamel changed Last tested (version) from 0.19488ok, now the language pack is working with the new dev build, but chinese or japanese these full-width words can only show in launcher, in game will just be blank. to 0.19488.
Gamel set OS-Specific to No.
Gamel set Hardware-Specific to No.
Gamel set Video Card Vendor to uncertain.
SmilingDemon triaged this task as "Normal" priority.
SmilingDemon shifted this object from the S1 Public space to the S3 Starmade space.
SmilingDemon changed the visibility from "Custom Policy" to "Public (No Login Required)".
SmilingDemon changed the edit policy from "Task Author" to "Starmade (Project)".
SmilingDemon changed Affected Gamemode(s) from none/unspecified to Single and Multi.

-Feedback-

could you add the used language pack maybe for testing ?
and is this maybe OS specific ?

Gamel changed the task status from "Open" to "In Queue (Game)".Nov 11 2015, 4:23 AM

Here are the language packs i am working on.

pack[ZH].xml
pack[JP].xml

Gamel added a comment.Nov 11 2015, 4:28 AM

And no, this is not OS specific, tried on both OSX and windows

SmilingDemon added a subscriber: SmilingDemon.
AndyP removed Gamel as the assignee of this task.Dec 20 2015, 11:01 PM
AndyP added a subscriber: AndyP.

Assignee 'Gamel' left the testing team.

schema changed the task status from "In Queue (Game)" to "Open".EditedJan 14 2016, 10:54 PM
schema added a subscriber: schema.

<Language Language="English" Version="0" fontnameorpath="MS PGothic" yOffsetStartSize="0" yOffsetDividedBy="1" yOffsetFixed="0">

can now be set in langauge files to specify a custom language.

Also yOffsetStartSize="0" yOffsetDividedBy="1" yOffsetFixed="0"

should be used to fix the vertical offset.

Keep in mind that the font has to be installed in order to use it (else it will default to the normal font). A font file can also be specified with a path relative to ./data/

schema changed the task status from "Open" to "Resolved".Jan 14 2016, 10:57 PM
Restricted Application added a subscriber: Megacrafter127. · View Herald Transcript
Gamel added a comment.Jan 15 2016, 1:21 AM

I have replaced <Language Language="English" Version="0"> to
<Language Language="ChineseTraditional" Version="0" fontnameorpath="./data/font/arialuni" yOffsetStartSize="0" yOffsetDividedBy="1" yOffsetFixed="0">

in the pack.xml

and have put this arialuni.ttf in ./data/font/

but still can't show the words, but now it is not empty,
now there are square boxes representing the words.

schema added a comment.EditedJan 15 2016, 4:46 PM

font name path currently includes ./data, and the file must be referenced with file-extension. so you will have to use fontnameorpath="font/arialuni.ttf"

Gamel added a comment.Jan 15 2016, 5:22 PM

This is even worst......
now only show english in setup window,
also no more square boxes in game, only english




Gamel added a comment.Jan 15 2016, 5:24 PM

but this is only osx at the moment, i can't test windows until monday when i go to work.
Or i can ask my players to test in windows tomorrow

schema added a comment.EditedJan 15 2016, 5:31 PM

the font doesnt affect the main menu window (its only for ingame). If that is in english, the game has loaded the english language file for some reason. Can you post the logs

Gamel added a comment.Jan 16 2016, 4:46 AM

i think i found the issue, but i don't know how to fix it

[2016-01-16 12:44:51] [Fatal Error] pack.xml:1:10: Element type "Language" must be followed by either attribute specifications, ">" or "/>".
[2016-01-16 12:44:51] org.xml.sax.SAXParseException: Element type "Language" must be followed by either attribute specifications, ">" or "/>".

Gamel added a comment.Jan 16 2016, 6:43 AM

ok, i think i have fixed the issue. But I still can't type chinese/japanese in the chat box.

starmade-chinesetranslate-v0.11.zip

lancake changed the task status from "Resolved" to "In Queue (Game)".Mar 15 2016, 1:24 PM
lancake added a subscriber: lancake.

Supposedly you can't type chinese/japanese in the chat box (no idea about other input fields)

lancake edited Tester information (Internal use only). (Show Details)Mar 15 2016, 1:24 PM
lancake claimed this task.Apr 17 2016, 10:25 AM
lancake mentioned this in Unknown Object (Maniphest Task).Apr 17 2016, 10:01 PM
schema changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Apr 21 2016, 11:39 AM

all fonts will not switch to the custom font. Also paths from ./ can now be use so you can bundle the font with the language. e.g. <Language Language="ChineseTraditional" Version="0" fontnameorpath="language/ChineseTraditional/arialuni.ttf">

(fixed issue where fonts werent loaded right on version 0.197.45)

Add Comment